package com.persagy.apm.diagnose.service.schedule;

import com.persagy.apm.diagnose.service.MaintenanceDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 同步 检查即将报废设备
 */
@Slf4j
@Service
public class SyncCheckGoingDestroyEquip {

    @Value("${sync.check.going.destroy.equip.enable:false}")
    private boolean enable;

    @Autowired
    private MaintenanceDataService maintenanceDataService;

    @Scheduled(cron="${sync.check.going.destroy.equip.cron:0 10 0 * * ?}")
    public void syncCheckGoingDestroyEquip() throws Exception {
        if (!enable) {
            //同步未开启
            return;
        }
        log.info("【同步检查即将报废设备线程】:同步检查即将报废设备开始.......");
        maintenanceDataService.syncCheckGoingDestroyEquip();
    }
}
